package com.zyc.system.domain;

import java.util.Date;
import com.fasterxml.jackson.annotation.JsonFormat;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.zyc.common.annotation.Excel;
import com.zyc.common.core.domain.BaseEntity;

/**
 * 资源指标信息对象 resource_metrics_info
 * 
 * @author ruoyi
 * @date 2024-12-26
 */
public class ResourceMetricsInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 序号 */
    private Integer id;

    /** 指标来源 */
    @Excel(name = "指标来源")
    private Integer source;

    /** 主资源ID */
    @Excel(name = "主资源ID")
    private String resId;

    /** 子资源ID */
    @Excel(name = "子资源ID")
    private String subResId;

    /** 指标类型 */
    @Excel(name = "指标类型")
    private Integer metricType;

    /** 指标ID */
    @Excel(name = "指标ID")
    private String metricId;

    /** 指标名称 */
    @Excel(name = "指标名称")
    private String metricName;

    /** 指标值 */
    @Excel(name = "指标值")
    private String metricValue;

    /** 指标单位 */
    @Excel(name = "指标单位")
    private String metricUnit;

    /** 指标状态 */
    @Excel(name = "指标状态")
    private String metricStatus;

    /** 指标状态的显示 */
    @Excel(name = "指标状态的显示")
    private String metricStatusDisplay;

    /** 指标时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "指标时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date gatherTime;

    /** 创建者 */
    @Excel(name = "创建者")
    private Integer createdBy;

    /** 更新者 */
    @Excel(name = "更新者")
    private Integer updatedBy;

    /** 删除者 */
    @Excel(name = "删除者")
    private Integer deletedBy;

    /** 创建时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "创建时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date createdAt;

    /** 更新时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "更新时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date updatedAt;

    /** 删除时间 */
    @JsonFormat(pattern = "yyyy-MM-dd")
    @Excel(name = "删除时间", width = 30, dateFormat = "yyyy-MM-dd")
    private Date deletedAt;

    /** 是否删除 */
    @Excel(name = "是否删除")
    private Integer deletedFlag;

    public void setId(Integer id) 
    {
        this.id = id;
    }

    public Integer getId() 
    {
        return id;
    }
    public void setSource(Integer source) 
    {
        this.source = source;
    }

    public Integer getSource() 
    {
        return source;
    }
    public void setResId(String resId) 
    {
        this.resId = resId;
    }

    public String getResId() 
    {
        return resId;
    }
    public void setSubResId(String subResId) 
    {
        this.subResId = subResId;
    }

    public String getSubResId() 
    {
        return subResId;
    }
    public void setMetricType(Integer metricType) 
    {
        this.metricType = metricType;
    }

    public Integer getMetricType() 
    {
        return metricType;
    }
    public void setMetricId(String metricId) 
    {
        this.metricId = metricId;
    }

    public String getMetricId() 
    {
        return metricId;
    }
    public void setMetricName(String metricName) 
    {
        this.metricName = metricName;
    }

    public String getMetricName() 
    {
        return metricName;
    }
    public void setMetricValue(String metricValue) 
    {
        this.metricValue = metricValue;
    }

    public String getMetricValue() 
    {
        return metricValue;
    }
    public void setMetricUnit(String metricUnit) 
    {
        this.metricUnit = metricUnit;
    }

    public String getMetricUnit() 
    {
        return metricUnit;
    }
    public void setMetricStatus(String metricStatus) 
    {
        this.metricStatus = metricStatus;
    }

    public String getMetricStatus() 
    {
        return metricStatus;
    }
    public void setMetricStatusDisplay(String metricStatusDisplay) 
    {
        this.metricStatusDisplay = metricStatusDisplay;
    }

    public String getMetricStatusDisplay() 
    {
        return metricStatusDisplay;
    }
    public void setGatherTime(Date gatherTime) 
    {
        this.gatherTime = gatherTime;
    }

    public Date getGatherTime() 
    {
        return gatherTime;
    }
    public void setCreatedBy(Integer createdBy) 
    {
        this.createdBy = createdBy;
    }

    public Integer getCreatedBy() 
    {
        return createdBy;
    }
    public void setUpdatedBy(Integer updatedBy) 
    {
        this.updatedBy = updatedBy;
    }

    public Integer getUpdatedBy() 
    {
        return updatedBy;
    }
    public void setDeletedBy(Integer deletedBy) 
    {
        this.deletedBy = deletedBy;
    }

    public Integer getDeletedBy() 
    {
        return deletedBy;
    }
    public void setCreatedAt(Date createdAt) 
    {
        this.createdAt = createdAt;
    }

    public Date getCreatedAt() 
    {
        return createdAt;
    }
    public void setUpdatedAt(Date updatedAt) 
    {
        this.updatedAt = updatedAt;
    }

    public Date getUpdatedAt() 
    {
        return updatedAt;
    }
    public void setDeletedAt(Date deletedAt) 
    {
        this.deletedAt = deletedAt;
    }

    public Date getDeletedAt() 
    {
        return deletedAt;
    }
    public void setDeletedFlag(Integer deletedFlag) 
    {
        this.deletedFlag = deletedFlag;
    }

    public Integer getDeletedFlag() 
    {
        return deletedFlag;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("source", getSource())
            .append("resId", getResId())
            .append("subResId", getSubResId())
            .append("metricType", getMetricType())
            .append("metricId", getMetricId())
            .append("metricName", getMetricName())
            .append("metricValue", getMetricValue())
            .append("metricUnit", getMetricUnit())
            .append("metricStatus", getMetricStatus())
            .append("metricStatusDisplay", getMetricStatusDisplay())
            .append("gatherTime", getGatherTime())
            .append("remark", getRemark())
            .append("createdBy", getCreatedBy())
            .append("updatedBy", getUpdatedBy())
            .append("deletedBy", getDeletedBy())
            .append("createdAt", getCreatedAt())
            .append("updatedAt", getUpdatedAt())
            .append("deletedAt", getDeletedAt())
            .append("deletedFlag", getDeletedFlag())
            .toString();
    }
}
